import request from '@/utils/request'


export function searchAdminAuth(data) {
  return request({
    url: '/admin/auth/search',
    method: 'post',
    data
  })
}


export function createAdminAuth(data) {
  return request({
    url: '/admin/auth/create',
    method: 'post',
    data
  })
}




export function autoSaveAuth(data) {
  return request({
    url: '/admin/auth/autoSave',
    method: 'post',
    data
  })
}


export function updateAdminAuth(data) {
  return request({
    url: '/admin/auth/update',
    method: 'post',
    data
  })
}


export function getAdminAuthInfo(data) {
  return request({
    url: '/admin/auth/info',
    method: 'post',
    data
  })
}



export function deleteAdminAuth(data) {
  return request({
    url: '/admin/auth/delete',
    method: 'post',
    data
  })
}


export function searchAdminPage(data) {
  return request({
    url: '/admin/auth/listpage',
    method: 'post',
    data
  })
}


